Page MenuHomePhabricator

Barcelona Hackathon: Mentoring & Newcomer Plan
Closed, ResolvedPublic

Description

Re-think the mentoring program from Vienna.

Steps:

  • Brainstorming / Ideas meeting
  • Goals / ideal outcomes
  • Follow up meeting
  • Develop program
  • Organize

Looking for brain storming help from long-term hackathon attendees

Event Timeline

Rfarrand triaged this task as Medium priority.Jan 19 2018, 7:33 PM
Rfarrand created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 19 2018, 7:33 PM

Thanks @Halfak @sonkiki @srishakatux and all the mentors! We have a lot more to do, but have made great progress. Already working on the plan for Cape Town as it will need to be adjusted. :)

Rfarrand closed this task as Resolved.May 24 2018, 11:13 PM

Biggest take-away for me is to split the "project matching" session from the "newcomer-mentor matching session". I think there is clear overlap between these but by keeping them other, we miss opportunities for experienced hackathon attendees to "project-match" and we overwhelm newcomers a bit. I'd like to run the project- and mentor-matching sessions in sequence so that newcomers can attend both. I'd also like to keep newcomers in the same room so that they don't get lost/disperse between the introduction to Wikimedia session and the mentor-matching session.

Otherwise, the green bands were really helpful! Many newcomers found me because of the green band (they said so) and that allowed me to help them find a project and collaborators to work with! Couldn't have gone better in that regard.

Also worth noting is that @srishakatux recapitulated the overview of Wikimedia tech to the 10 newcomers who showed up on Day 2. That went really well and I'm glad she was there. I'd like to plan for that at the next hackathon as well.

I added my session recap and feedback here in this etherpad: https://etherpad.wikimedia.org/p/mentormeeting

Copy and paste it here, too for convenience:

Meeting
Sunday May 20 2018 11-11:30 am
Aaron Halfaker and Sonja Fischbauer

Meetings and metrics:

Thu (Day 0): Rachel hands program off to 2 coordinators (Aaron, Sonja) 
Fri (Day 1): 30+ mentors, 5 newcomers: mentors made posters, big surplus of mentors, not 
Sat (Day 2): 3 mentors, 10 newcomers: Srishti gave intro session, was valuable for newcomers because they hadn't seen it yet
Sun (Day 3): 1 mentor, 0 newcomers: 2 coordinators review the program and take the following notes

Overall thoughts:

bandanas are great

 people like them a lot. Lots of people wore them as headbands, neckbands etc. (great way to wear "uniform" that leaves room for individuality) 

Srishti's intro session is the basis that newcomers need even before the mentoring program (a map they need to navigate the wikiverse)

maybe it should be recommended even more to newcomers? like "if you're new, this is where you need to go" (without making it too pushy of course, but it's a really helpful intro) 

project matching with posters serves the same purpose as the pitch at the opening (there are even some posters that are exactly the pitches' contents)

smaller set of newcomers made it easy to "hand-match" them to mentors (comment from Sonja: possible because Aaron invested a lot of time and legwork to match people up)

Reg. logistics/ rooms: newcomers stay, mentors move! ("we come to them"; mentors know where to go, newcomers not so much)

Table sigs / posters or other ways to locate where people are make it way easier for people to connect

posters are impractical as people can move, esp. in the hallway here

people search/find each other over telegram as well

Project matching and mentor matching are different things

can overlap but also have different aspects


Some posters offer projects, some offer skills. Of the 26 posters in the room, we counted:

22 project posters 

4 general skills posters 


Project matching:

    find people to work on this specific thing that you are already working on

    lots of devs from WMF had posters that reflect their area of tech (e.g. design) 

    e.g.: "Work with us on the Programs & Events Dashboard" 

    target group: newcomers and experienced participants    

        

 Mentor matching: 

     help newcomers with their first steps

     has lots of social aspects: "I can help you meet people, introduce you to aspects of the community" 

     e.g.: "I can help you find a newcomer-friendly project to work on and set up a MediaWiki dev environment." 

target group: newcomers only

Sonja’s own thoughts:
I think that this program has a lot of potential that is yet to be fully tapped into. I feel like the questions surrounding the mentoring program fit within larger questions of the movement strategy, as the program can contribute to a healthy community.
However the program turns out to be shaped in the end, I think the questions around how to best use its potential are important, and that the movement would benefit from its dedicated development.

Thanks, @sonkiki @Halfak for working on the mentoring program and for taking notes! :)

Adding my few cents on what we could improve:

  • In all the newcomer sessions I was in (~ 4), the attendees were different each time not sure though how we can improve on this!
  • We had fewer newcomers attending sessions then we know had registered. Might be that the "newcomer" definition could be more explicit (e.g., someone who is a newcomer to the hackathon is not necessarily a newcomer to our technical spaces). It was good that we were prepared to handle a lot of newcomers, but I feel like we could do more to tap the full potential of this program (perhaps through more effective local outreach)
  • More, the newcomer, oriented sessions the better. Even though we had a different audience in each of these sessions, quite a few of the newcomers were in there with a hope to get something or ask specific questions at the end of it (information about a project, connection with a mentor, etc.)